Reverse an authorization hold
Reverses (cancels) a previously created authorization hold
POST
/
v3
/
authorization-holds
/
authorizations
/
{authorizationTransactionId}
/
reverse
Reverse an authorization hold
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/authorization-holds/authorizations/{authorizationTransactionId}/reverse' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/authorization-holds/authorizations/{authorizationTransactionId}/reverse"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/authorization-holds/authorizations/{authorizationTransactionId}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorizationReversalTransactionId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the authorization hold to reverse
Query Parameters
The audit user to log the request
Response
Authorization hold reversed successfully
Transaction Id of generated authorization reversal
Was this page helpful?
Previous
Clear an authorization holdConverts a previously created authorization hold into a captured financial transaction
Next
⌘I
Reverse an authorization hold

